package com.base.api.client;


import com.base.api.model.AntennaRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;

import java.util.List;

@FeignClient(name = "orbit-base-biz", contextId = "antenna")
public interface AntennaRpcService {


    /**
     * 根据地面站Code查询天线信息
     */
    @PostMapping(value = "/rpc/antena/getInfoList")
    public List<AntennaRpcDTO> getInfoList(AntennaRpcDTO antennaRpcDTO);

    /**
     * 新增或修改天线信息
     *
     * @param antennaInfo
     * @return
     */
    @PostMapping(value = "/rpc/antena/upOrSaveAntena")
    public Boolean upOrSaveAntena(AntennaRpcDTO antennaInfo);

    /**
     * 根据地面站id删除天线信息
     */
    @PostMapping(value = "/rpc/antena/delAntenaInfoByIds")
    public Boolean delAntenaInfoByIds(List<String> ids);

    /**
     * 根据地面站id查询天线信息
     */
    @PostMapping(value = "/rpc/antena/selAntenaInfoByIds")
    public List<AntennaRpcDTO> selAntenaInfoByIds(List<String> ids);

    /**
     * 查询所有天线信息
     */
    @PostMapping(value = "/rpc/antena/selAllAntenaInfos")
    public List<AntennaRpcDTO> selAllAntenaInfos();



}
