package com.base.api.client;

import com.base.api.model.FzTaskRpcDTO;
import com.base.api.model.request.FzTaskInfoRpcReqDTO;
import com.base.api.model.request.FzTaskInfoUpdateRpcDTO;
import com.base.api.model.request.TaskStateNotice;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@FeignClient(name = "orbit-base-biz", contextId = "fzTask")
public interface FzTaskRpcService {

    @RequestMapping(value = "/rpc/fz/list",method = RequestMethod.POST)
    public List<FzTaskRpcDTO> getFzTaskDTOList(@RequestBody FzTaskInfoRpcReqDTO req);

    @PostMapping("/rpc/fz/update")
    public void updateTaskDTO(@RequestBody FzTaskInfoUpdateRpcDTO req);

    @PostMapping("/rpc/fz/step/notice")
    public void taskStepStateUpdate(@RequestBody TaskStateNotice taskStateNotice);

    @PostMapping("/rpc/fz/step/delete")
    public void taskStepStateDelete(@RequestBody TaskStateNotice taskStateNotice);

}
