package com.base.api.client;


import com.base.api.model.StationRpcDTO;
import com.base.api.model.request.QueryStationAddRpcDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;
import java.util.Set;

@FeignClient(name = "orbit-base-biz",contextId = "station")
public interface StationRpcService {

     // 根据地面站代号集合查询地面站信息
     @RequestMapping(value = "/rpc/station/listbystationids", method = RequestMethod.POST)
     List<QueryStationAddRpcDTO> getStationListByStationIdList(List<String> stationIdList);
     // 根据地面站代号集合查询地面站信息
     @RequestMapping(value = "/rpc/station/setbystationids", method = RequestMethod.POST)
     List<QueryStationAddRpcDTO> getStationListByStationIdSet(Set<String> stationIdList);

     @RequestMapping(value = "/rpc/station/getAllList",method = RequestMethod.POST)
     public List<StationRpcDTO> getAllList();


}
