package com.base.api.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class PayloadRpcDTO {

    private String id;
    @ApiModelProperty("卫星id")
    private String satelliteId;
    @ApiModelProperty("卫星编号")
    private String satelliteCode;
    @ApiModelProperty("载荷类型 1可见光/微光 2红外 3微波 4SAR 5掩星")
    private String payloadType;
    @ApiModelProperty("载荷系列")
    private String payloadSeries;
    @ApiModelProperty("分辨率 单位米")
    private Double groundResolution;
    @ApiModelProperty("幅宽，单位米")
    private Double swathWidth;
    @ApiModelProperty("地面站录放比")
    private Double dmPlaybackRatio;
    @ApiModelProperty("中继星录放比")
    private Double zjPlaybackRatio;
    @ApiModelProperty("最小太阳高度角")
    private String minSunElevation;
    @ApiModelProperty("最大太阳高度角")
    private String maxSunElevation;

    private Double overLap;
    private String payloadWorkModes;
    private List<PayloadWorkModeRpcDTO> payloadWorkModeRpcDTOS;

    @ApiModelProperty("载荷速率")
    private String dataPassSpeed;

    @ApiModelProperty("视场角")
    private String fox;

    /**
     * 类型，0光学，1红外，2电子，3雷达，4通信，5导航
     */
    private String type;

}
