package com.base.biz.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.base.biz.model.dto.request.StationInfoDTOListReq;
import com.base.biz.model.dto.request.StationInfoDTOSetReq;
import com.base.biz.model.entity.StationInfo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Objects;

@Mapper
@Repository
public interface StationInfoMapper extends BaseMapper<StationInfo> {

    List<StationInfo> getStationInfoDTOList(@Param("req") StationInfoDTOListReq req);

    List<StationInfo> getStationInfoDTOSet(@Param("req") StationInfoDTOSetReq req);

   default List<StationInfo> selListByResourceType(String resourceType){
       return this.selectList(new QueryWrapper<StationInfo>().eq("resource_type",resourceType));
   }
}
