package com.base.biz.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 这是地面站的模型，但是本次需求只有数传，后续会把中继星和测控增加进去
 */
@Data
public class StationInfoDTO {

    private String Id;
    @ApiModelProperty("地面站代号")
    private String stationCode;
    @ApiModelProperty("名称")
    private String stationName;
    @ApiModelProperty("资源类型 0地面站 1中继星")
    private String resourceType;
    @ApiModelProperty("任务类型")
    private String missionType;
    @ApiModelProperty("经度")
    private String longitude;
    @ApiModelProperty("纬度")
    private String latitude;
    @ApiModelProperty("高度")
    private String altitude;
    @ApiModelProperty("最小跟踪仰角，默认3度")
    private String minTraceElevation;
    @ApiModelProperty("最小接收仰角，默认5度")
    private String minWorkElevation;
    @ApiModelProperty("基带类型")
    private String basebandType;
    @ApiModelProperty("数传速率")
    private String receivedRate;
    @ApiModelProperty("日凌角")
    private String sundialCorer;
    private Integer antMinRecvElevation;

    private Integer sundialCorner;
    @ApiModelProperty("中继星能里，0无，1一代，2二代")
    private Integer relayType;
}
