package com.base.biz.model.entity;


import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.Date;

@Data
@TableName("antenna_info")
@ApiModel("天线信息")
public class AntennaInfo {

    @TableId
    private String id;

    @ApiModelProperty("载波频率")
    private String zbpl;

    @ApiModelProperty("码速率")
    private String msl;

    @ApiModelProperty("接收极化方式")
    private String jsjhfs;

    @ApiModelProperty("接收频段")
    private String jspd;

    @ApiModelProperty("接收速率")
    private String jssl;

    @ApiModelProperty("任务最短切换时间")
    private String rwzdqhsj;

    @ApiModelProperty("最小接收仰角（计算使用）")
    private String zxjsyj;

    @ApiModelProperty("最小跟踪仰角")
    private String zxgzyj;

    @ApiModelProperty("地面站GT")
    @TableField(value = "dmzGT")
    private String dmzGT;

    @ApiModelProperty("天线口径")
    private String txkj;

    @ApiModelProperty("地面站代号")
    private String dmzdh;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("修改时间")
    private Date updateTime;
}
