package com.base.orbit.constant;

/**
 * 事件总线相关常量
 *
 * @author jhzhu
 * @date 2022-02-08
 */
public class EventBusConstants {

    /** IoT类型kafka的topic默认名称模式 */
    public static final String KAFKA_IOT_TOPIC_DEFAULT_PATTERN = "orbit-iot-bucket%02d";
    /** 发送结果回调的线程名称 */
    public static final String SEND_RESULT_NOTIFY_THREAD_NAME_PATTERN = "EventBusSendResultNotify-%d";
    /** kafkaConsumer消费的线程名称 */
    public static final String KAFKA_CONSUMER_THREAD_NAME_PATTERN = "EventBusKafkaConsumer-%d";
    /** 持久化consume history的线程名称 */
    public static final String EVENT_BUS_CONSUME_HISTORY_SAVER_THREAD_NAME_PATTERN = "EbcConsumeHistoryDbOperationBuffer-%d";
    /** 接受业务类消息的Kafka Consumer(线程)数量 */
    public static final Integer BIZ_KAFKA_CONSUMER_THREAD_QTY = 2;

    /** kafka消息头 - 消息ID */
    public static final String RECORD_HEADER_MESSAGE_ID = "msgId";
    /** kafka消息头 - schema编码 */
    public static final String RECORD_HEADER_SCHEMA_CODE = "schemaCode";
    /** kafka消息头 - 消息schema类型 */
    public static final String RECORD_HEADER_SCHEMA_TYPE = "schemaType";

    /** 轨道源代码中包名前缀 */
    public static final String ORBIT_PACKAGE_NAME_PREFIX = "com.base.orbit";
}
