package com.base.plan.model.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class StepDetailDTO {

    @ApiModelProperty("需求Id")
    private String stepId;
    @ApiModelProperty("唯一标识")
    private String parentId;
    @ApiModelProperty("窗口Id")
    private String windowId;
    @ApiModelProperty("目标名称")
    private String targetName;
    @ApiModelProperty("卫星名称")
    private String satelliteName;
    @ApiModelProperty("卫星编号")
    private String satelliteCode;
    @ApiModelProperty("测控站名称")
    private String controlStationName;
    @ApiModelProperty("测控站编号")
    private String controlStationCode;
    @ApiModelProperty("测控开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date controlStartTime;
    @ApiModelProperty("测控结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date controlEndTime;
    @ApiModelProperty("条带开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date stripStartTime;
    @ApiModelProperty("条带结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date stripEndTime;
    @ApiModelProperty("条带访问时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date accessTime;
    @ApiModelProperty("访问时长")
    private String accessDuration;
    @ApiModelProperty("数传站编号")
    private String dataStationCode;
    @ApiModelProperty("数传站名称")
    private String dataStationName;
    @ApiModelProperty("数传开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataStartTime;
    @ApiModelProperty("数传结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date dataEndTime;
    @ApiModelProperty("分辨率")
    private Float resolvingPower;
    @ApiModelProperty("侧摆")
    private String sideSwayValue;
    @ApiModelProperty("幅宽")
    private String clothWith;
    @ApiModelProperty("覆盖率")
    private Float coverage;
    @ApiModelProperty("俯仰角")
    private Float pitchAngle;
    @ApiModelProperty("载荷类型，0CCD，1红外，2电子，3SAR，4通信，5导航")
//    private Integer loadType;
    private String loadType;
    @ApiModelProperty("是否被选中，1：不是；2：是")
    private Integer isSelected;
}
