package com.base.plan.model.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * @projectName: zklt-ch-server-ultra
 * @package: com.base.plan.model.entity
 * @className: StripCalcResult
 * @author: Nika
 * @description: 条带计算结果记录实体
 * @date: 2024/9/11 15:43
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("strip_calc_result")
public class StripCalcResult {

    /**
     * 结果记录数据主键
     */
    @TableId("strip_calc_result_id")
    @ApiModelProperty("结果记录数据主键")
    private String stripCalcResultId;

    /**
     * 目标编码
     */
    @TableField("target_code")
    @ApiModelProperty("目标编码")
    private String targetCode;

    /**
     * 目标名称
     */
    @TableField("target_name")
    @ApiModelProperty("目标名称")
    private String targetName;

    /**
     * 卫星编号
     */
    @TableField("satellite_code")
    @ApiModelProperty("卫星编号")
    private String satelliteCode;

    /**
     * 任务开始时间
     */
    @TableField("start_time")
    @ApiModelProperty("任务开始时间")
    private Date startTime;

    /**
     * 任务结束时间
     */
    @TableField("end_time")
    @ApiModelProperty("任务结束时间")
    private Date endTime;

    /**
     * 同一次添加唯一标识
     */
    @TableField("parent_id")
    @ApiModelProperty("同一次添加唯一标识")
    private String parentId;

    /**
     * 是否成功，1：成功，0：不成功
     */
    @TableField("is_succeeded")
    @ApiModelProperty("是否成功，1：成功，0：不成功")
    private String isSucceeded;

    /**
     * 数据创建时间
     */
    @TableField("create_date")
    @ApiModelProperty("数据创建时间")
    private Date createDate;
}
