package com.base.track.model.dto.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@Data
public class QueryStationAddDTO {

    @ApiModelProperty("地面站id，只有修改的时候才会用到，新增不传值")
    private String id;

    @ApiModelProperty("资源类型，0地面站，1中继星")
    private Integer resourceType;

    @ApiModelProperty("编号")
    private String stationCode;

    @ApiModelProperty("站名")
    private String name;

    @ApiModelProperty("建造时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date buildTime;

    @ApiModelProperty("国别")
    private String country;

    @ApiModelProperty("设备数量")
    private Integer equipmentCount;

    @ApiModelProperty("机动能力，0固定，1机动，2船载，3中继")
    private Integer transportable;

    @ApiModelProperty("任务类型，0一体化，1测控，2接收")
    private Integer missionType;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("高度")
    private String altitude;

    @ApiModelProperty("地理位置，东南西北，海外")
    private String position;

    @ApiModelProperty("天线接收的最小高度")
    private Integer antMinRecvElevation;

    @ApiModelProperty("日晷角")
    private Integer sundialCorner;

    @ApiModelProperty("中继星能里，0无，1一代，2二代")
    private Integer relayType;

}