package com.base.track.model.dto.request;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

@Data
public class TrbutRequestDTO {

    @ApiParam(name = "satelliteIds", value = "卫星id集合")
    List<String> satelliteIds;
    @ApiParam(name = "stationIds", value = "地面站id集合")
    List<String> stationIds;
    @ApiParam(name = "startTime", value = "开始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startTime;
    @ApiParam(name = "endTime", value = "结束时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endTime;
    @ApiParam(name = "satelliteCodes", value = "卫星编号")
    List<String> satelliteCodes;

}
